id3lib3.8.3 (3.8.3-16.3) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:43:03 +0800

id3lib3.8.3 (3.8.3-16.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Aug 2015 14:40:40 +0200

id3lib3.8.3 (3.8.3-16.1) experimental; urgency=medium

  * Non maintainer upload.
  * Rename libid3-3.8.3c2a to libid3-3.8.3v5, follow-up to the libstdc++6
    ABI transition. Addresses: #791073.
  * Add Conflicts/Replaces for the old library.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 15:20:05 +0200

id3lib3.8.3 (3.8.3-16) unstable; urgency=low

  * debian/patches:
    - Added 31-fix-utf16-stringlists.patch			closes: #680915
    - Fixed typos in 20-create-manpages.patch			closes: #669875
  * Added multiarch support					closes: #723185
  * debian/control:
    - Removed DM-Upload-Allowed field
    - Updated Standards-Version to 3.9.6
    - Updated Vcs- fields to use canonical URIs
  * Removed reference to remote icons from the HTML documentation
  * Added lintian override for a false-positive spelling error
  * debian/copyright: Converted to machine-readable format

 -- Stefan Ott <stefan@ott.net>  Mon, 20 Oct 2014 03:08:52 +0200

id3lib3.8.3 (3.8.3-15) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags				closes: #656272
  * debian/control: Update Standards-Version to 3.9.2

 -- Stefan Ott <stefan@ott.net>  Thu, 12 Apr 2012 03:21:14 +0200

id3lib3.8.3 (3.8.3-14) unstable; urgency=low

  * debian/patches/61-fix_vbr_stack_smash.patch: Fix crashes when reading
    VBR MP3 file						closes: #608612
  * debian/control:
    - Update Standards-Version to 3.9.2
    - Replaced Conflicts with Breaks
    - Slightly rephrased the package description
  * debian/rules:
    - Do not install jquery.js (we don't use it anyway)
    - Clean out dependency_libs in the la-file

 -- Stefan Ott <stefan@ott.net>  Thu, 12 May 2011 04:40:22 +0200

id3lib3.8.3 (3.8.3-13) unstable; urgency=low

  * debian/patches/60-spelling.patch: Fix spelling of "Thrash"	closes: #583812

 -- Stefan Ott <stefan@ott.net>  Tue, 08 Jun 2010 05:29:45 +0200

id3lib3.8.3 (3.8.3-12) unstable; urgency=low

  * debian/patches/60-spelling.patch: Fixed spelling of 'Psychedelic' to
    prevent lintian warnings in packages built against id3lib

 -- Stefan Ott <stefan@ott.net>  Sun, 09 May 2010 05:59:56 +0200

id3lib3.8.3 (3.8.3-11) unstable; urgency=low

  * debian/control:
    - Build-depend on automake instead of automake1.7		closes: #573046
    - Build-depend-indep on doxygen
    - Update Standards-Version to 3.8.4, no changes needed
    - New libid3-doc package 		      closes: #278503, #424959, #516500
    - New libid3-tools package, move binary utilities there	closes: #565363
    - libid3-3.8.3-dev now recommends libid3-tools
  * debian/rules:
    - Build API documentation with doxygen
    - Do proper cleanup to prevent FTBFS when building several times in a row
  * debian/patches:
    - Add missing descriptions to some patches
    - Fix typo in 20-create-manpages.patch

 -- Stefan Ott <stefan@ott.net>  Sun, 21 Mar 2010 18:41:21 +0100

id3lib3.8.3 (3.8.3-10) unstable; urgency=low

  * debian/rules: Regenerate more auto* files          closes: #560312, #561642
  * Fix typo in 60-add-c-wrapper-functions.patch file name
  * debian/changelog: Fix old changelog entry
  * Add patch to fix minor spelling issues
  * Add descriptions to some of the patches

 -- Stefan Ott <stefan@ott.net>  Tue, 05 Jan 2010 07:12:18 +0100

id3lib3.8.3 (3.8.3-9) unstable; urgency=low

  * debian/control:
    - New maintainer						closes: #527479
    - Upgrade debhelper build-dependency to version 7.0.50
    - Slightly rephrase description synopsis
    - Add homepage field
    - Add Vcs-* fields
    - Add DM-Upload-Allowed field to allow maintainer uploads
  * debian/compat:
    - Bump debhelper compatibility level to version 7
  * debian/rules:
    - Switch to debhelper 7
  * Add patch to fix 'make check'
  * Add lintian override for package-name-doesnt-match-sonames

 -- Stefan Ott <stefan@ott.net>  Thu, 10 Dec 2009 01:10:30 +0100

id3lib3.8.3 (3.8.3-8) unstable; urgency=low

  * QA upload.
  * Setting maintainers to the QA group.
  * Build-depend on unversioned automake.
  * Change to source "3.0 (quilt)".
  * Avoid FTBFS with a fresh autotools run. (Closes: #340365, #528509).
  * debian/rules:
    + remove commented lines.
    + include a configure target and separate it from the build target.
    + wrap the configure call.
    + removed some auto-generated files.
  * debian/control:
    + add misc-depends to control files.
    + make debhelper dependency versioned.
    + remove duplication of section field.
  * include watch file.
  * Update Standards-Version to 3.8.3, with no extra changes needed (really).
  * Fix crashes in ID3_TagHeader::Size(). Tks Brian Murray, Thomas Eschenbacher.
    (Closes: #540548, LP: #399423).
  * Move the utilities from the -dev package to the library package.
    (Closes: #377308)
  * Include the list of cli in the long description of the non -dev package.
    (Closes: #497991, #446320).
  * Also move their manpages.
  * Add patch from Javier Kohen to provide C wrapper functions to the library.
    (Closes: #281292)
  * A previous patch (from 3.8.3-6) already Closes: #276673.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 28 Nov 2009 05:36:53 -0200

id3lib3.8.3 (3.8.3-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix some accidental dropping of files (closes: #474987)

 -- Stephen Gran <sgran@debian.org>  Tue, 08 Apr 2008 13:06:05 +0100

id3lib3.8.3 (3.8.3-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3 (closes: #417062)
  * Lintian warnigns repaired:
    - Update DH_COMPAT from, er, 1
    - Don't ignore make clean failures
    - Add link to LGPL-2 in common-licenses
    - Add © to debian/copyright
    - remove some broken non-roff form manpages

 -- Stephen Gran <sgran@debian.org>  Sat, 05 Apr 2008 15:55:14 +0100

id3lib3.8.3 (3.8.3-7) unstable; urgency=high

  * SECURITY: Change #ifdef logic to select mkstemp() code instead of
    insecure tempfile creation code, and fix mkstemp() code to work with g++
    3.x, closes: #438540

 -- Robert Woodcock <rcw@debian.org>  Sat, 18 Aug 2007 15:52:52 -0700

id3lib3.8.3 (3.8.3-6) unstable; urgency=low

  * Apply UTF16 writing patch from Easytag project, closes: #384335

 -- Robert Woodcock <rcw@debian.org>  Sun, 12 Nov 2006 21:25:29 -0800

id3lib3.8.3 (3.8.3-5) unstable; urgency=low

  * Rebuild against g++4.0 4.0.2-4 for C++ library allocator change
    transition and rename library to libid3-3.8.3c2a, closes: #339186

 -- Robert Woodcock <rcw@debian.org>  Fri, 18 Nov 2005 11:33:52 -0800

id3lib3.8.3 (3.8.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rebuild against g++-4.0 for the C++ ABI transition, since libid3's
    headers export C++ interfaces as well as the C ones: rename 
    libid3-3.8.3 to libid3-3.8.3c2 and conflict with libid3-3.8.3.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Jul 2005 14:43:23 -0700

id3lib3.8.3 (3.8.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libtool and autotools stuff to fix building on arm.
    This hopefully closes: #276825

 -- Frank Lichtenheld <djpig@debian.org>  Wed, 27 Oct 2004 01:33:02 +0200

id3lib3.8.3 (3.8.3-4) unstable; urgency=low

  * Rebuilt with gcc/g++ 3.3 (updated libgcc1 and zlib1g allows for building
    against 3.3 without breaking the ABI), closes: #236457
 
 -- Robert Woodcock <rcw@debian.org>  Fri,  9 Apr 2004 19:34:31 -0700

id3lib3.8.3 (3.8.3-3) unstable; urgency=low

  * Updated to libtool 1.5 and automake 1.7 (libtoolize --force --copy;
    aclocal; automake) so that id3lib is built with g++. Added a patch
    from Andreas Metzler to get autoconf to throw -lz in the linker
    command. Closes: #208672, #195987
 
 -- Robert Woodcock <rcw@debian.org>  Sun, 14 Sep 2003 08:26:55 -0700

id3lib3.8.3 (3.8.3-2) unstable; urgency=low

  * Added proper gcc build dependancies, closes: #195436
  * Added manpages back in

 -- Robert Woodcock <rcw@debian.org>  Thu, 12 Jun 2003 19:09:22 -0700

id3lib3.8.3 (3.8.3-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Wed, 12 Mar 2003 14:21:04 -0800

id3lib3.8.2 (3.8.2-3) unstable; urgency=low

  * Really a new libtool this time, I promise, I think...

 -- Robert Woodcock <rcw@debian.org>  Thu,  6 Feb 2003 17:38:17 -0800

id3lib3.8.2 (3.8.2-2) unstable; urgency=low

  * New libtool, closes: #179669

 -- Robert Woodcock <rcw@debian.org>  Mon,  3 Feb 2003 19:30:23 -0800

id3lib3.8.2 (3.8.2-1) unstable; urgency=low

  * New upstream release, closes: #177456, #175469

 -- Robert Woodcock <rcw@debian.org>  Tue, 21 Jan 2003 11:49:01 -0800

id3lib3.8.0 (3.8.0-1) unstable; urgency=low

  * New upstream release

 -- Robert Woodcock <rcw@debian.org>  Sat, 17 Aug 2002 18:34:08 -0700

id3lib3.8.0 (3.8+0pre2.20020627-1) unstable; urgency=low

  * New upstream version, closes: #138957
  * From CVS. Huge thanks go out to Thijmen Klok for fixing id3lib's
    compile problems, closes: #125633

 -- Robert Woodcock <rcw@debian.org>  Thu, 27 Jun 2002 19:09:13 -0700

id3lib (3.7.13-5) unstable; urgency=low

  * Fixed typo in id3tag manpage

 -- Robert Woodcock <rcw@debian.org>  Wed, 22 Aug 2001 16:22:42 -0700

id3lib (3.7.13-4) unstable; urgency=low

  * Updated libtool and build dependancies for id3lib and zlib,
    closes: #108523

 -- Robert Woodcock <rcw@debian.org>  Wed, 22 Aug 2001 16:22:41 -0700

id3lib (3.7.13-3) unstable; urgency=low

  * gcc 2.96 systems don't know what to do with strlen() without the
    prototype in string.h - added some includes, closes: #105687
  * Uses AC_CHECK_HEADERS to check multiple headers in configure.in,
    closes: #93293
  * Commented out bogus LF_HONOR_STD macro, closes: #93292
  * debian/rules clean removes configure script and debian/rules build-stamp
    recreates it, closes: #93291
  * Added token id3cp manpage and made other misc lintian cleanups.

 -- Robert Woodcock <rcw@debian.org>  Sat, 21 Jul 2001 15:46:18 -0700

id3lib (3.7.13-2) unstable; urgency=low

  * cp /usr/share/libtool/config.* id3lib-3.7.13/{,popt/} to allow
    for compilation on hppa, closes: #104643

 -- Robert Woodcock <rcw@debian.org>  Fri, 13 Jul 2001 20:14:03 -0700

id3lib (3.7.13-1) unstable; urgency=low

  * New upstream version

 -- Robert Woodcock <rcw@debian.org>  Mon, 16 Oct 2000 20:14:15 -0700

id3lib (3.7.8-1) unstable; urgency=low

  * Initial Release.

 -- Robert Woodcock <rcw@debian.org>  Mon, 15 May 2000 21:19:01 -0700

Local variables:
mode: debian-changelog
End:
